(function (lib, img, cjs) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap14.png", id:"Bitmap14"},
		{src:"images/Bitmap15.png", id:"Bitmap15"},
		{src:"images/Bitmap16.png", id:"Bitmap16"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1188,667);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,53);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,53);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,53);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,53);


(lib.Bitmap14 = function() {
	this.initialize(img.Bitmap14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,53);


(lib.Bitmap15 = function() {
	this.initialize(img.Bitmap15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,53);


(lib.Bitmap16 = function() {
	this.initialize(img.Bitmap16);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,53);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,53);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,53);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,53);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,53);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,53);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,53);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,53);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,63,53);


(lib._15 = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap16();
	this.instance.setTransform(-1,-1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-1,-1,63,53);
p.frameBounds = [rect];


(lib._14 = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap15();
	this.instance.setTransform(-1,-1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-1,-1,63,53);
p.frameBounds = [rect];


(lib._13 = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap14();
	this.instance.setTransform(-1,-1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-1,-1,63,53);
p.frameBounds = [rect];


(lib._12 = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap13();
	this.instance.setTransform(-1,-1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-1,-1,63,53);
p.frameBounds = [rect];


(lib._11 = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap12();
	this.instance.setTransform(-1,-1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-1,-1,63,53);
p.frameBounds = [rect];


(lib._10 = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap11();
	this.instance.setTransform(-1,-1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-1,-1,63,53);
p.frameBounds = [rect];


(lib._09 = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap10();
	this.instance.setTransform(-1,-1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-1,-1,63,53);
p.frameBounds = [rect];


(lib._08 = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap9();
	this.instance.setTransform(-1,-1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-1,-1,63,53);
p.frameBounds = [rect];


(lib._07 = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap8();
	this.instance.setTransform(-1,-1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-1,-1,63,53);
p.frameBounds = [rect];


(lib._06 = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap7();
	this.instance.setTransform(-1,-1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-1,-1,63,53);
p.frameBounds = [rect];


(lib._05 = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap6();
	this.instance.setTransform(-1,-1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-1,-1,63,53);
p.frameBounds = [rect];


(lib._04 = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap5();
	this.instance.setTransform(-1,-1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-1,-1,63,53);
p.frameBounds = [rect];


(lib._03 = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap4();
	this.instance.setTransform(-1,-1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-1,-1,63,53);
p.frameBounds = [rect];


(lib._02 = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap3();
	this.instance.setTransform(-1,-1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-1,-1,63,53);
p.frameBounds = [rect];


(lib._01 = function() {
	this.initialize();

	// Layer 2
	this.instance = new lib.Bitmap2();
	this.instance.setTransform(-1,-1);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-1,-1,63,53);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '33236',
			title: 'Pomóż wirusowi zainfekować program komputerowy. Wykonaj działania i umieść fragmenty wirusa w odpowiednich polach programu komputerowego.',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',
			/*
			groupdrags: {		
				1: ['1', '2', '3', '6'],
			},
			/*
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/	
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '2',
				/*drop_3:*/ '3',
				/*drop_4:*/ '4|14',	
				/*drop_5:*/ '5',	
				/*drop_6:*/ '6|16',	
				/*drop_7:*/ '7',	
				/*drop_8:*/ '8',	
				/*drop_9:*/ '9',		
				/*drop_10:*/ '10',		
				/*drop_11:*/ '11',		
				/*drop_12:*/ '12',		
				/*drop_13:*/ '13',		
				/*drop_14:*/ '4|14',		
				/*drop_15:*/ '15',		
				/*drop_16:*/ '6|16',		
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 0.8,
			//rotation: 'auto',
			//size: 'auto',
			//zindex: 3,
			
			exerciseAfterInit: function(container) {
				//container['drag_1'].rotate = 60;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(container) {
				
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.drag_16 = new lib._06();
	this.drag_16.setTransform(1134.5,581.4,1,1,0,0,0,49.5,37.5);

	this.drop_10 = new lib._10();
	this.drop_10.setTransform(1064,470.7,1,1,0,0,0,49.5,37.5);

	this.drop_15 = new lib._15();
	this.drop_15.setTransform(1066.6,315.4,1,1,0,0,0,49.5,37.5);

	this.drop_7 = new lib._07();
	this.drop_7.setTransform(1066.6,236.7,1,1,0,0,0,49.5,37.5);

	this.drop_4 = new lib._04();
	this.drop_4.setTransform(1066.6,159.7,1,1,0,0,0,49.5,37.5);

	this.drop_9 = new lib._09();
	this.drop_9.setTransform(808.6,469.7,1,1,0,0,0,49.5,37.5);

	this.drop_5 = new lib._05();
	this.drop_5.setTransform(809.6,392.7,1,1,0,0,0,49.5,37.5);

	this.drop_14 = new lib._14();
	this.drop_14.setTransform(808.6,315.4,1,1,0,0,0,49.5,37.5);

	this.drop_16 = new lib._06();
	this.drop_16.setTransform(808.6,236.7,1,1,0,0,0,49.5,37.5);

	this.drop_3 = new lib._03();
	this.drop_3.setTransform(808.6,159.7,1,1,0,0,0,49.5,37.5);

	this.drop_11 = new lib._11();
	this.drop_11.setTransform(554.9,393.7,1,1,0,0,0,49.5,37.5);

	this.drop_6 = new lib._06();
	this.drop_6.setTransform(554.9,315.4,1,1,0,0,0,49.5,37.5);

	this.drop_2 = new lib._02();
	this.drop_2.setTransform(554.9,236.7,1,1,0,0,0,49.5,37.5);

	this.drop_13 = new lib._13();
	this.drop_13.setTransform(554.9,159.7,1,1,0,0,0,49.5,37.5);

	this.drop_8 = new lib._08();
	this.drop_8.setTransform(297.8,315.4,1,1,0,0,0,49.5,37.5);

	this.drop_12 = new lib._12();
	this.drop_12.setTransform(298.8,236.7,1,1,0,0,0,49.5,37.5);

	this.drop_1 = new lib._01();
	this.drop_1.setTransform(297.8,159.7,1,1,0,0,0,49.5,37.5);

	this.drag_15 = new lib._15();
	this.drag_15.setTransform(1072.5,580.7,1,1,0,0,0,49.5,37.5);

	this.drag_14 = new lib._14();
	this.drag_14.setTransform(1007.2,581.4,1,1,0,0,0,49.5,37.5);

	this.drag_13 = new lib._13();
	this.drag_13.setTransform(941.9,580.7,1,1,0,0,0,49.5,37.5);

	this.drag_12 = new lib._12();
	this.drag_12.setTransform(876.6,580.7,1,1,0,0,0,49.5,37.5);

	this.drag_11 = new lib._11();
	this.drag_11.setTransform(811.3,580.7,1,1,0,0,0,49.5,37.5);

	this.drag_10 = new lib._10();
	this.drag_10.setTransform(746,580.7,1,1,0,0,0,49.5,37.5);

	this.drag_9 = new lib._09();
	this.drag_9.setTransform(680.7,580.7,1,1,0,0,0,49.5,37.5);

	this.drag_8 = new lib._08();
	this.drag_8.setTransform(615.4,581.4,1,1,0,0,0,49.5,37.5);

	this.drag_7 = new lib._07();
	this.drag_7.setTransform(549.8,581.4,1,1,0,0,0,49.5,37.5);

	this.drag_6 = new lib._06();
	this.drag_6.setTransform(484.5,581.4,1,1,0,0,0,49.5,37.5);

	this.drag_5 = new lib._05();
	this.drag_5.setTransform(419.2,581.4,1,1,0,0,0,49.5,37.5);

	this.drag_4 = new lib._04();
	this.drag_4.setTransform(353.6,581.4,1,1,0,0,0,49.5,37.5);

	this.drag_3 = new lib._03();
	this.drag_3.setTransform(288.6,581.4,1,1,0,0,0,49.5,37.5);

	this.drag_2 = new lib._02();
	this.drag_2.setTransform(222.8,581.7,1,1,0,0,0,49.5,37.5);

	this.drag_1 = new lib._01();
	this.drag_1.setTransform(156.8,581.7,1,1,0,0,0,49.5,37.5);

	this.instance = new lib.Bitmap1();
	this.instance.setTransform(46,26.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance},{t:this.drag_1},{t:this.drag_2},{t:this.drag_3},{t:this.drag_4},{t:this.drag_5},{t:this.drag_6},{t:this.drag_7},{t:this.drag_8},{t:this.drag_9},{t:this.drag_10},{t:this.drag_11},{t:this.drag_12},{t:this.drag_13},{t:this.drag_14},{t:this.drag_15},{t:this.drop_1},{t:this.drop_12},{t:this.drop_8},{t:this.drop_13},{t:this.drop_2},{t:this.drop_6},{t:this.drop_11},{t:this.drop_3},{t:this.drop_16},{t:this.drop_14},{t:this.drop_5},{t:this.drop_9},{t:this.drop_4},{t:this.drop_7},{t:this.drop_15},{t:this.drop_10},{t:this.drag_16}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(46,26.5,1188,667);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(686,386.5,1188,667);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;